import {Component, Input} from '@angular/core';
import {Vulnerability} from '../../../model/application.model';

@Component({
    selector: 'app-vulnerabilities-list',
    templateUrl: './vulnerabilities.list.html',
    styleUrls: ['./vulnerabilities.list.scss']
})
export class VulnerabilitiesListComponent {

    _filter: string;
    @Input('filter')
    set filter(data: string) {
        this._filter = data;
        this.updateVulns();
    }
    get filter() {
        return this._filter;
    }
    @Input('vulnerabilities')
    set vulnerabilities(data: Array<Vulnerability>) {
        if (data) {
            this.allVulnerabilities = data;
            this.updateVulns();
        }
    };
    allVulnerabilities: Array<Vulnerability>;
    filteredVulnerabilities: Array<Vulnerability>;

    updateVulns(): void {
        if (this.allVulnerabilities) {
            if (!this.filter) {
                this.filteredVulnerabilities = this.allVulnerabilities;
            } else {
                this.filteredVulnerabilities = this.allVulnerabilities
                    .filter(v => (v.component + ' ' + v.version).indexOf(this.filter) >= 0)
            }
        }
    }
}
