import {Component, Input} from '@angular/core';
import {Severity, Vulnerability} from '../../model/application.model';

@Component({
    selector: 'app-vulnerabilities',
    templateUrl: './vulnerabilities.html',
    styleUrls: ['./vulnerabilities.scss']
})
export class VulnerabilitiesComponent {

    _vulnerabilities: Array<Vulnerability>;
    summary = {
        total: 0,
        defcon: 0,
        critical: 0,
        high: 0,
        medium: 0,
        low: 0,
        negligible: 0,
        unknown: 0
    };
    @Input('vulnerabilities')
    set vulnerabilities(data: Array<Vulnerability>) {
        if (data) {
            let defcon1 = new Array<Vulnerability>();
            let critical = new Array<Vulnerability>();
            let high = new Array<Vulnerability>();
            let medium = new Array<Vulnerability>();
            let low = new Array<Vulnerability>();
            let negligible = new Array<Vulnerability>();
            let unknown = new Array<Vulnerability>();
            data.forEach(v => {
                switch (v.severity) {
                    case Severity.DEFCON1:
                        defcon1.push(v);
                        break;
                    case Severity.CRITICAL:
                        critical.push(v);
                        break;
                    case Severity.HIGH:
                        high.push(v);
                        break;
                    case Severity.MEDIUM:
                        medium.push(v);
                        break;
                    case Severity.LOW:
                        low.push(v);
                        break;
                    case Severity.NEGLIGIBLE:
                        negligible.push(v);
                        break;
                    case Severity.UNKNOWN:
                        unknown.push(v);
                        break;
                }
            });
            this.summary.defcon = defcon1.length;
            this.summary.critical = critical.length;
            this.summary.high = high.length;
            this.summary.medium = medium.length;
            this.summary.low = low.length;
            this.summary.negligible = negligible.length;
            this.summary.unknown = unknown.length;
            this.summary.total = this.summary.critical + this.summary.defcon + this.summary.high + this.summary.medium
             + this.summary.low + this.summary.negligible + this.summary.unknown;
            this._vulnerabilities = defcon1.concat(critical, high, medium, low, negligible, unknown);
        }
    }

    get vulnerabilities() {
        return this._vulnerabilities;
    }

    filter = '';

    updateFilter(v: Vulnerability): void {
        this.filter = v.component + ' ' + v.version;
    }
}
